export declare const ColorsVariables: {
    readonly background: "--tsp-tgv-background";
    readonly dataKey: "--tsp-tgv-data-key";
    readonly indentationGuide: "--tsp-tgv-indentation-guide";
    readonly literal: "--tsp-tgv-literal";
    readonly property: "--tsp-tgv-property";
    readonly ref: "--tsp-tgv-ref";
    readonly typeKind: "--tsp-tgv-type-kind";
    readonly typeName: "--tsp-tgv-type-name";
};
export type ColorVariable = keyof typeof ColorsVariables;
export type ColorPalette = Record<ColorVariable, string>;
export declare const DefaultColors: ColorPalette;
export declare const Colors: typeof ColorsVariables;
//# sourceMappingURL=constants.d.ts.map